-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlDiagram

Declaration :

- C++ : class UmlDiagram : public UmlBaseDiagram
- Java : abstract class UmlDiagram extends UmlBaseDiagram

Directly inherited by : UmlBaseClassDiagram UmlBaseCollaborationDiagram UmlBaseComponentDiagram UmlBaseDeploymentDiagram UmlBaseSequenceDiagram UmlBaseStateDiagram UmlBaseUseCaseDiagram

This class allows to manage extra class member, mainly defined fot C++ it allows to insert C++ pre-processor directive (even they may be placed in the other member definition/declaration), to declare friend operation/function etc... You can modify it as you want (except the constructor)

Artifact : UmlDiagram

Operation UmlDiagram

Declaration :

- C++ : public: UmlDiagram(void * id, const QCString & n) : UmlBaseDiagram(id, n)
- Java : public UmlDiagram(long id, String n)

All public operations :

apply , children , childrenVisible , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload